package md

type Register struct {
	Mobile      string `json:"mobile"`
	Code        string `json:"code"  example:"验证码"`
	Type        string `json:"type" example:"app:APP注册、h5:H5注册"`
	InviteCode  string `json:"invite_code" example:"邀请码"`
	OpenID      string `json:"open_id" example:"微信openId"`
	Avatar      string `json:"avatar"`
	InvitedCode string `json:"invited_code"`
	UnionId     string `json:"union_id" example:"微信UnionId"`
}

type LoginReq struct {
	Phone    string `json:"phone" binding:"required" example:"手机号"`
	PassWord string `json:"password" binding:"required" example:"登录密码"`
	Code     string `json:"code"  example:"验证码"`
}

type LoginResponse struct {
	Token string `json:"token"`
}
